--- old/usr/src/man/man3c/iswctype.3c	Sun Jun 29 11:52:03 2014
+++ new/usr/src/man/man3c/iswctype.3c	Sun Jun 29 11:52:03 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 1992, X/Open Company Limited  All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH ISWCTYPE 3C "Jul 24, 2002"
+.TH ISWCTYPE 3C "Jul 26, 2014"
 .SH NAME
 iswctype \- test character for specified class
 .SH SYNOPSIS
@@ -17,33 +18,61 @@
 
 \fBint\fR \fBiswctype\fR(\fBwint_t\fR \fIwc\fR, \fBwctype_t\fR \fIcharclass\fR);
 .fi
+.LP
+.nf
+\fBint\fR \fBiswctype\fR(\fBwint_t\fR \fIwc\fR, \fBwctype_t\fR \fIcharclass\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 
 .SH DESCRIPTION
-.sp
 .LP
-The \fBiswctype()\fR function determines whether the wide-character code
-\fIwc\fR has the character class \fIcharclass\fR, returning \fBTRUE\fR or
-\fBFALSE\fR. The \fBiswctype()\fR function is defined on \fBWEOF\fR and
-wide-character codes corresponding to the valid character encodings in the
-current locale. If the \fIwc\fR argument is not in the domain of the function,
-the result is undefined. If the value of \fIcharclass\fR is invalid (that is,
-not obtained by a call to \fBwctype\fR(3C) or \fIcharclass \fR is invalidated
-by a subsequent call to \fBsetlocale\fR(3C) that has affected category
-\fBLC_CTYPE\fR), the result is indeterminate.
+The
+.B iswctype()
+and
+.B iswctype_l()
+functions determine whether the wide-character code
+.I wc
+is a member of the character class
+.IR charclass ,
+returning
+.B TRUE
+or
+.BR FALSE .
+These functions are defined on
+.B WEOF
+and wide-character codes corresponding to the valid character encodings in the
+current locale (or
+.I loc
+for 
+.BR iswctype_l() .)
+If the
+.I wc
+argument is not in the domain of the function,
+the result is undefined. If the value of
+.I charclass
+is invalid (that is,
+not obtained by a call to
+.B wctype (3C)
+or obtained from a different locale), the result is indeterminate.
+.LP
+Whereas
+.B iswctype()
+operates in the current locale,
+.B iswctype_l()
+operates in the locale specified with
+.IR loc .
 .SH RETURN VALUES
-.sp
 .LP
-The \fBiswctype()\fR function returns \fB0\fR for \fBFALSE\fR and non-zero for
-\fBTRUE\fR.
+These functions return
+.B 0
+for
+.B FALSE
+and non-zero for
+.BR TRUE .
 .SH USAGE
-.sp
 .LP
 There are twelve strings that are reserved for the standard character classes:
-.sp
-
-.sp
 .TS
-l | l | l
+box;
 l | l | l .
 "alnum"	"alpha"	"blank"
 _
@@ -54,45 +83,36 @@
 "space"	"upper"	"xdigit"
 .TE
 
-.sp
 .LP
 In the table below, the functions in the left column are equivalent to the
 functions in the right column.
-.sp
-
-.sp
 .TS
-l l
-l l .
-\fBiswalnum(\fR\fIwc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"alnum"\fB))\fR
-iswalpha(\fIwc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"alpha"\fB))\fR
-iswcntrl(\fIwc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"cntrl"\fB))\fR
-iswdigit(\fI wc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"digit"\fB))\fR
-iswgraph(\fIwc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"graph"\fB))\fR
-iswlower(\fIwc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"lower"\fB))\fR
-iswprint(\fIwc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"print"\fB))\fR
-iswpunct(\fIwc\fR\fB)\fR	iswctype(\fI wc,\fR\fB wctype(\fR"punct"\fB))\fR
-iswspace(\fIwc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"space"\fB))\fR
-iswupper(\fIwc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"upper"\fB))\fR
-iswxdigit(\fIwc\fR\fB)\fR	iswctype(\fIwc,\fR\fB wctype(\fR"xdigit"\fB))\fR
+box;
+l | l .
+\fBiswalnum\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("alnum"))
+\fBiswalpha\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("alpha"))
+\fBiswcntrl\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("cntrl"))
+\fBiswdigit\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("digit"))
+\fBiswgraph\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("graph"))
+\fBiswlower\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("lower"))
+\fBiswprint\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("print"))
+\fBiswpunct\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("punct"))
+\fBiswspace\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("space"))
+\fBiswupper\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("upper"))
+\fBiswxdigit\fR(\fIwc\fR)	\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("xdigit"))
 .TE
 
-.sp
 .LP
 The call
-.sp
 .LP
-\fBiswctype(\fR\fIwc,\fR\fB wctype(\fR"blank"\fB))\fR
-.sp
+\fBiswctype\fR(\fIwc\fR, \fBwctype\fR("blank"))
 .LP
-does not have an equivalent  \fBisw*(\|)\fR function.
+does not have an equivalent \fBisw*(\|)\fR function.
 .SH ATTRIBUTES
-.sp
 .LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
+See
+.BR attributes (5)
+for descriptions of the following attributes:
 .TS
 box;
 c | c
@@ -103,11 +123,15 @@
 _
 Interface Stability	Standard
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBiswalpha\fR(3C), \fBsetlocale\fR(3C), \fBwctype\fR(3C), \fBattributes\fR(5),
-\fBenviron\fR(5), \fBstandards\fR(5)
+.BR iswalpha (3C),
+.BR newlocale (3C),
+.BR setlocale (3C),
+.BR uselocale (3C),
+.BR wctype (3C),
+.BR attributes (5),
+.BR standards (5)
--- old/usr/src/man/man3c/mblen.3c	Sun Jun 29 11:52:05 2014
+++ new/usr/src/man/man3c/mblen.3c	Sun Jun 29 11:52:05 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright 1989 AT&T  Copyright (c) 1992, X/Open Company Limited  All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MBLEN 3C "Jul 24, 2002"
+.TH MBLEN 3C "Jun 24, 2014"
 .SH NAME
 mblen, mblen_l \- get number of bytes in a character
 .SH SYNOPSIS
@@ -16,6 +17,12 @@
 #include <stdlib.h>
 
 \fBint\fR \fBmblen\fR(\fBconst char *\fR\fIs\fR, \fBsize_t\fR \fIn\fR);
+.fi
+.LP
+.nf
+#include <stdlib.h>
+#include <xlocale.h>
+
 \fBint\fR \fBmblen_l\fR(\fBconst char *\fR\fIs\fR, \fBsize_t\fR \fIn\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 
@@ -23,21 +30,22 @@
 .sp
 .LP
 If \fIs\fR is not a null pointer, \fBmblen()\fR and \fBmblen_l()\fR
-determines the number of bytes constituting the character pointed to by
-\fIs\fR. It is equivalent to:
-.sp
+determine the number of bytes constituting the character pointed to by
+\fIs\fR. The call
+.IP
+\fBmblen(\fIs\fR, \fIn\fR)\fR;
 .LP
-\fBmbtowc((wchar_t *)0, \fR\fIs\fR, \fIn\fR);
-.sp
+is equivalent to:
+.IP
+\fBmbtowc\fR((\fBwchar_t\fR *)0, \fIs\fR, \fIn\fR);
 .LP
 A call with \fIs\fR as a null pointer causes this function to return \fB0\fR.
-The behavior of the \fBmblen()\fR function is affected by the \fBLC_CTYPE\fR
-category of the current locale. The \fBmblen_l()\fR function is affected as
-well, but rather than using the current locale, it uses the locale specified by
-\fIlocl\fR.
-
+.LP
+Whereas the behavior of the \fBmblen()\fR function is affected by the
+\fBLC_CTYPE\fR category of the current locale, the behavior of
+\fBmblen_l()\fR is affected by the \fBLC_CTYPE\fR category of the
+locale specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 If \fIs\fR is a null pointer, \fBmblen()\fR and \fBmblen_l()\fR returns \fB0\fR. It \fIs\fR is not
 a null pointer, \fBmblen()\fR and \fBmblen_l()\fR returns \fB0\fR (if \fIs\fR points to the null
@@ -58,16 +66,6 @@
 .RS 10n
 Invalid character sequence is detected.
 .RE
-
-.SH USAGE
-.sp
-.LP
-The \fBmblen()\fR function can be used safely in multithreaded applications, as
-long as \fBsetlocale\fR(3C) is not being called to change the locale or if a
-per-thread locale has been set for the calling thread with the
-\fBuselocale\fR(3C) function. The \fBmblen_l()\fR function is similarly safe, as
-long as the \fBfreelocale\fR(3C) function is not called on the locale passed
-into the function.
 .SH ATTRIBUTES
 .sp
 .LP
@@ -83,14 +81,19 @@
 _
 CSI	Enabled
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
+.LP
+The
+.B mblen()
+function is Standard. The
+.B mblen_l()
+function is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
-\fBfreelocale\fR(3C), \fBmbstowcs\fR(3C), \fBmbtowc\fR(3C), \fBsetlocale\fR(3C),
+\fBmbstowcs\fR(3C), \fBmbtowc\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
 \fBwcstombs\fR(3C), \fBwctomb\fR(3C), \fBuselocale\fR(3C) \fBattributes\fR(5),
 \fBstandards\fR(5)
--- old/usr/src/man/man3c/mbrlen.3c	Sun Jun 29 11:52:06 2014
+++ new/usr/src/man/man3c/mbrlen.3c	Sun Jun 29 11:52:06 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 1992, X/Open Company Limited. All Rights Reserved.  Portions Copyright (c) 2003, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MBRLEN 3C "Nov 1, 2003"
+.TH MBRLEN 3C "Jun 21, 2014"
 .SH NAME
 mbrlen, mbrlen_l \- get number of bytes in a character (restartable)
 .SH SYNOPSIS
@@ -16,38 +17,44 @@
 #include <wchar.h>
 
 \fBsize_t\fR \fBmbrlen\fR(\fBconst char *restrict\fR \fIs\fR, \fBsize_t\fR \fIn\fR, \fBmbstate_t *restrict\fR \fIps\fR);
-\fBsize_t\fR \fBmbrlen_l\fR(\fBconst char *restrict\fR \fIs\fR, \fBsize_t\fR \fIn\fR, \fBmbstate_t *restrict\fR \fIps\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
+.LP
+.nf
+#include <wchar.h>
+#include <xlocale.h>
 
+\fBsize_t\fR \fBmbrlen_l\fR(\fBconst char *restrict\fR \fIs\fR, \fBsize_t\fR \fIn\fR, \fBmbstate_t *restrict\fR \fIps\fR,
+    \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
-If \fIs\fR is not a null pointer,  \fBmbrlen()\fR and \fBmbrlen_l()\fR determines the number of
-bytes constituting the character pointed to by  \fIs\fR. It is equivalent to:
-.sp
-.in +2
+If \fIs\fR is not a null pointer,  \fBmbrlen()\fR and \fBmbrlen_l()\fR determine
+the number of bytes constituting the character pointed to by \fIs\fR.
+The call
 .nf
+.IP
+\fBmbrlen\fR(\fIs\fR, \fIn\fR, \fIps\fR);
+.fi
+.LP
+is equivalent to:
+.nf
+.IP
 mbstate_t internal;
-mbrtowc(NULL, s, n, ps != NULL ? ps : &internal);
+\fBmbrtowc\fR(NULL, \fIs\fR, \fIn\fR, \fIps\fR != NULL ? \fIps\fR : &internal);
 .fi
-.in -2
-
-.sp
 .LP
-If \fIps\fR is a null pointer, the \fBmbrlen()\fR and \fBmbrlen_l()\fR functions uses their own
+If \fIps\fR is a null pointer, the \fBmbrlen()\fR and \fBmbrlen_l()\fR
+functions use their own
 internal \fBmbstate_t\fR object, which is initialized at program startup to the
 initial conversion state.   Otherwise, the  \fBmbstate_t\fR object pointed to
 by \fIps\fR is used to completely describe the current conversion state of the
-associated character sequence. illumos will behave as if no function defined in
-the illumos Reference Manual calls \fBmbrlen()\fR.
-.sp
+associated character sequence. The implemenation will behave as if no function
+defined in the Reference Manual calls \fBmbrlen()\fR.
 .LP
-The behavior of this function is affected by the \fBLC_CTYPE\fR category of the
+The behavior of \fBmbrlen()\fR is affected by the \fBLC_CTYPE\fR category of the
 current locale.  See \fBenviron\fR(5). The behavior of \fBmbrlen_l()\fR does not
-use the current enivronment and instead uses the locale specified in the
-argument \fBloc\fR as constructed through \fBnewlocale()\fR.
+use the current enivronment and instead uses the locale specified by \fBloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBmbrlen()\fR and \fBmbrlen_l()\fR functions return the first of the
 following that applies:
@@ -96,7 +103,6 @@
 .RE
 
 .SH ERRORS
-.sp
 .LP
 The \fBmbrlen()\fR and \fBmbrlen_l()\fR functions may fail if:
 .sp
@@ -119,12 +125,8 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -131,15 +133,21 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	See NOTES below
+MT-Level	MT-Safe
 .TE
 
+.LP
+The
+.B mbrlen()
+function is Standard.  The
+.B mbrlen_l()
+function is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
-\fBmbrtowc\fR(3C), \fBmbsinit\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5),
+\fBmbrtowc\fR(3C), \fBmbsinit\fR(3C), \fBnewlocale\fR(3C),
+\fBsetlocale\fR(3C), \fBattributes\fR(5),
 \fBenviron\fR(5), \fBstandards\fR(5)
 .SH NOTES
 .sp
--- old/usr/src/man/man3c/mbrtowc.3c	Sun Jun 29 11:52:06 2014
+++ new/usr/src/man/man3c/mbrtowc.3c	Sun Jun 29 11:52:06 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 1992, X/Open Company Limited. All Rights Reserved.  Portions Copyright (c) 2003, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,9 +8,9 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MBRTOWC 3C "Nov 1, 2003"
+.TH MBRTOWC 3C "Jun 23, 2014"
 .SH NAME
-mbrtowc \- convert a character to a wide-character code (restartable)
+mbrtowc, mbrtowc_l \- convert a character to a wide-character code (restartable)
 .SH SYNOPSIS
 .LP
 .nf
@@ -18,124 +19,149 @@
 \fBsize_t\fR \fBmbrtowc\fR(\fBwchar_t *restrict\fR \fIpwc\fR, \fBconst char *restrict\fR \fIs\fR, \fBsize_t\fR \fIn\fR,
      \fBmbstate_t *restrict\fR \fIps\fR);
 .fi
+.LP
+.nf
+#include <wchar.h>
+#include <xlocale.h>
 
+\fBsize_t\fR \fBmbrtowc_l\fR(\fBwchar_t *restrict\fR \fIpwc\fR, \fBconst char *restrict\fR \fIs\fR, \fBsize_t\fR \fIn\fR,
+     \fBmbstate_t *restrict\fR \fIps\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
-If \fIs\fR is a null pointer, the \fBmbrtowc()\fR function is equivalent to the
-call:
+If
+.I s
+is a null pointer, the
+.B mbrtowc()
+function is equivalent to the call:
 .sp
 .in +2
 .nf
-mbrtowc(NULL, ``'', 1, ps)
+\fBmbrtowc\fR(NULL, "", 1, \fIps\fR)
 .fi
 .in -2
-
-.sp
 .LP
-In this case, the values of the arguments \fIpwc\fR and \fIn\fR are ignored.
+Likewise, if
+.I s
+is a null pointer, the
+.B mbrtowc_l()
+function is equivalent to the call:
 .sp
+.in +2
+.nf
+\fBmbrtowc_l\fR(NULL, "", 1, \fIps\fR, \fIloc\fR);
+.fi
+.in -2
 .LP
-If \fIs\fR is not a null pointer, the \fBmbrtowc()\fR function inspects at most
-\fIn\fR bytes beginning at the byte pointed to by  \fIs\fR to determine the
-number of bytes needed to complete the next  character (including any shift
-sequences).  If the function determines that the next character is completed,
-it determines the value of the corresponding wide-character and then, if
-\fIpwc\fR is not a null pointer, stores that value in the object pointed to by
-\fIpwc\fR. If the corresponding wide-character is the null wide-character, the
+In these cases, the values of the arguments
+.I pwc
+and
+.I n
+are ignored.
+.LP
+If
+.I s
+is not a null pointer, these functions inspect at most
+.I n
+bytes beginning at the byte pointed to by
+.I s
+to determine the number of bytes needed to complete the next character
+(including any shift sequences).  If the functions determine that the next
+character is completed,
+they determine the value of the corresponding wide-character and then, if
+.I pwc
+is not a null pointer, stores that value in the object pointed to by
+.IR pwc .
+If the corresponding wide-character is the null wide-character, the
 resulting state described is the initial conversion state.
-.sp
 .LP
-If \fIps\fR is a null pointer, the \fBmbrtowc()\fR function uses its own
-internal \fBmbstate_t\fR object, which is initialized at program startup to the
-initial conversion state.   Otherwise, the  \fBmbstate_t\fR object pointed to
-by \fIps\fR is used to completely describe the current conversion state of the
-associated character sequence. Solaris will behave as if no function defined in
-the Solaris Reference Manual calls \fBmbrtowc()\fR.
-.sp
+If
+.I ps
+is a null pointer, these functions use their own
+internal
+.B mbstate_t
+object, which is initialized at program startup to the
+initial conversion state. Otherwise, the 
+.B mbstate_t
+object pointed to by
+.I ps
+is used to completely describe the current conversion state of the
+associated character sequence. The system will behave as if no function defined
+in the Reference Manual calls
+.B mbrtowc()
+or
+.BR Bmbrtowc_l() .
 .LP
-The behavior of this function is affected by the \fBLC_CTYPE\fR category of the
-current locale.  See \fBenviron\fR(5).
+The behavior of
+.B mbrtowc()
+is affected by the
+.B LC_CTYPE
+category of the current locale.  The
+.B mbrtowc_l()
+function is affected by the
+.B LC_CTYPE
+category of the specified
+.I loc
+locale object.  See
+.B environ (5).
 .SH RETURN VALUES
-.sp
 .LP
-The \fBmbrtowc()\fR function returns the first of the following that applies:
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 17n
-If the next \fIn\fR or fewer bytes complete the character that corresponds to
+The
+.B mbrtowc()
+and
+.B mbrtowc_l()
+functions return the first of the following that applies:
+.IP \fB0\fR
+If the next
+.I n
+or fewer bytes complete the character that corresponds to
 the null wide-character (which is the value stored).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBpositive\fR\fR
-.ad
-.RS 17n
-If the next \fIn\fR or fewer bytes complete a valid character (which is the
+.IP \fBpositive\fR
+If the next
+.I n
+or fewer bytes complete a valid character (which is the
 value stored); the value returned is the number of bytes that complete the
 character.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB(size_t)\(mi2\fR\fR
-.ad
-.RS 17n
-If the next \fIn\fR bytes contribute to an incomplete but potentially valid
-character, and all \fIn\fR bytes have been processed (no value is stored).
-When \fIn\fR has at least the value of the \fBMB_CUR_MAX\fR macro, this case
-can only occur if  \fIs\fR points at a sequence of redundant shift sequences
+.IP \fB(size_t)\(mi2\fR
+If the next
+.I n
+bytes contribute to an incomplete but potentially valid
+character, and all
+.I n
+bytes have been processed (no value is stored).
+When
+.I n
+has at least the value of the
+.B MB_CUR_MAX
+macro, this case can only occur if
+.I s
+points at a sequence of redundant shift sequences
 (for implementations with state-dependent encodings).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB(size_t)\(mi1\fR\fR
-.ad
-.RS 17n
+.IP \fB(size_t)\(mi1\fR
 If an encoding error occurs, in which case the next \fIn\fR or fewer bytes do
 not contribute to a complete and valid  character (no value is stored).  In
-this case, \fBEILSEQ\fR is stored in \fBerrno\fR and the conversion state is
-undefined.
-.RE
-
+this case,
+.B EILSEQ
+is stored in
+.B errno
+and the conversion state is undefined.
 .SH ERRORS
-.sp
 .LP
-The \fBmbrtowc()\fR function may fail if:
-.sp
-.ne 2
-.na
-\fB\fBEINVAL\fR\fR
-.ad
-.RS 10n
-The \fIps\fR argument points to an object that contains an invalid conversion
+The
+.B mbrtowc()
+and
+.B mbrtowc_l()
+functions may fail if:
+.IP \fBEINVAL\fR
+The
+.I ps
+argument points to an object that contains an invalid conversion
 state.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEILSEQ\fR\fR
-.ad
-.RS 10n
+.IP \fBEILSEQ\fR
 Invalid character sequence is detected.
-.RE
-
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -142,22 +168,28 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	See NOTES below
+MT-Level	See below.
 .TE
 
-.SH SEE ALSO
-.sp
 .LP
-\fBmbsinit\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5), \fBenviron\fR(5),
-\fBstandards\fR(5)
-.SH NOTES
-.sp
+The
+.B mbrtowc()
+function is Standard.  The
+.B mbrtowc_l()
+function is Uncommitted.
 .LP
-If \fIps\fR is not a null pointer, \fBmbrtowc()\fR uses the \fBmbstate_t\fR
-object pointed to by \fIps\fR and the function can be used safely in
-multithreaded applications, as long as \fBsetlocale\fR(3C) is not being called
-to change the locale. If \fIps\fR is a null pointer, \fBmbrtowc()\fR uses its
-internal \fBmbstate_t\fR object and the function is Unsafe in multithreaded
-applications.
+If
+.I ps
+is a null pointer, these functions are Unsafe for use in
+multithreaded applications.  Otherwise they are MT-Safe.
+.SH SEE ALSO
+.LP
+.BR mbsinit (3C),
+.BR newlocale (3C),
+.BR setlocale (3C),
+.BR uselocale (3C),
+.BR attributes (5),
+.BR environ (5),
+.BR standards (5)
--- old/usr/src/man/man3c/mbsinit.3c	Sun Jun 29 11:52:07 2014
+++ new/usr/src/man/man3c/mbsinit.3c	Sun Jun 29 11:52:07 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 1992, X/Open Company Limited All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MBSINIT 3C "Jul 24, 2002"
+.TH MBSINIT 3C "Jun 23, 2014"
 .SH NAME
 mbsinit,mbsinit_l \- determine conversion object status
 .SH SYNOPSIS
@@ -16,23 +17,26 @@
 #include <wchar.h>
 
 \fBint\fR \fBmbsinit\fR(\fBconst mbstate_t *\fR\fIps\fR);
-\fBint\fR \fBmbsinit_l\fR(\fBconst mbstate_t *\fR\fIps\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
+.LP
+.nf
+#include <wchar.h>
+#include <xlocale.h>
 
+\fBint\fR \fBmbsinit_l\fR(\fBconst mbstate_t *\fR\fIps\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
 If \fBps\fR is not a null pointer, the \fBmbsinit()\fR function determines
 whether the object pointed to by \fBps\fR describes an initial conversion state.
-the function \fBmbsinit_l()\fR behaves identically to \fBmbsinit()\fR except the
+.LP
+The function \fBmbsinit_l()\fR behaves identically to \fBmbsinit()\fR except the
 current locale is ignored and the locale \fIloc\fR is used instead.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBmbsinit()\fR function returns non-zero if  \fBps\fR is a null pointer,
 or if the pointed-to object describes an initial conversion state; otherwise,
 it returns \fB0\fR.
-.sp
 .LP
 If an \fBmbstate_t\fR object is altered by any of the functions described as
 "restartable", and is then used with a different character sequence, or in the
@@ -40,17 +44,14 @@
 than on earlier function calls, the behavior is undefined.  See
 \fBenviron\fR(5).
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH USAGE
-.sp
 .LP
 The \fBmbstate_t\fR object is used to describe the current conversion state
 from a particular character sequence to a wide-character sequence (or vice
 versa) under the rules of a particular setting of the \fBLC_CTYPE\fR category
 of the current locale.
-.sp
 .LP
 The initial conversion state corresponds, for a conversion in either direction,
 to the beginning of a new character sequence in the initial shift state.  A
@@ -59,12 +60,8 @@
 conversion involving any character sequence, in any \fBLC_CTYPE\fR category
 setting.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -71,20 +68,20 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
+.LP
+The
+.B mbsinit()
+function is Standard.  The
+.B mbsinit_l()
+function is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
-\fBmbrlen\fR(3C), \fBmbrtowc\fR(3C), \fBmbsrtowcs\fR(3C), \fBsetlocale\fR(3C),
+\fBmbrlen\fR(3C), \fBmbrtowc\fR(3C), \fBmbsrtowcs\fR(3C),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
 \fBwcrtomb\fR(3C), \fBwcsrtombs\fR(3C), \fBuselocale\fR(), \fBattributes\fR(5), \fBenviron\fR(5),
 \fBstandards\fR(5)
-.SH NOTES
-.sp
-.LP
-The \fBmbsinit()\fR function can be used safely in multithreaded applications,
-as long as \fBsetlocale\fR(3C) is not being called to change the locale or a
-per-thread locale has been installed with \fBuselocale\fR(3C).
